Subject: Re: [RFC PATCH 0/3] Introduce clar testing framework

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Jul 2024 09:52:53 -0700

<[email-masked]> writes:

> I'm sorry for being so behind the curve... what is clar and where does it run?

We have t/unit-test/test-lib.[ch] that are our home-grown unit test
framework.  A handful of tests have been written to use it, when you
say "make test", or "(cd t && make)", unit tests binaries linked
with the home-grown unit test framework run.

clar is a _potential_ replacement for our home-grown framework,
suggested here because it would be nicer if we can use off-the-shelf
component instead of having to enhance and maintain our own.

Where and how it runs does not change even after clar turns out to
be good enough for our purpose and we commit to replace our
home-grown unit test framework with it.